Get the profile of an app invite
curl --request GET \
--url https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profileimport requests
url = "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"token_expires_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_email": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{}{
"error": "<string>",
"error_description": "<string>"
}app-invites
Get the profile of an app invite
Needs no token. The invite page polls this until token_expires_at changes.
GET
/
app-invites
/
codes
/
{code}
/
profile
Get the profile of an app invite
curl --request GET \
--url https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profileimport requests
url = "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile")
.asString();require 'uri'
require 'net/http'
url = URI("https://linkedin.narrativeconnectors.com/app-invites/codes/{code}/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"token_expires_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user_email": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{
"error": "<string>",
"error_description": "<string>"
}{}{
"error": "<string>",
"error_description": "<string>"
}Path Parameters
Response
OK
Profile Id must be in UUID format.
The access token's expiry. Null when the profile is not connected.
The email given on the invite this profile last used, if any.

